Timers
Base Module

## Classes

class | itpp::Timer
| A virtual base class for timers. More...
class | itpp::CPU_Timer
| A CPU time timer classMeasures the time spent by the CPU on the current process. If two processes are running concurrently, one real seconds equal 5 CPU seconds per process. The resolution is not very good (in the order of 0.01 seconds). More...
class | itpp::Real_Timer
| A real time timer classMeasures real time. More...

## Functions

void | itpp::tic ()
| Reset and start timer.
double | itpp::toc ()
| Returns the elapsed time since last tic()
void | itpp::toc_print ()
| Prints the elapsed time since last tic()
void | itpp::pause (double t=-1)
| pause More...

## Detailed Description

## Function Documentation

ITPP_EXPORT void itpp::pause | ( | double | t = `-1` | ) |

pause

pause(n);

Pauses for n seconds before continuing

pause();

Pauses until a key is pressed

Definition at line 169 of file timing.cpp.

References itpp::Timer::get_time(), and itpp::Timer::start().

Generated on Thu Mar 20 2014 12:26:45 for IT++ by Doxygen 1.8.6